/* migstat07_sas.zip:  05 Endtypisierung Grosseltern 2007.sas */


OPTIONS NOFMTERR; RUN;   /* ohne Formate */

/* Arbeitsverzeichnis in '<...>' eintragen; z. B. c:\temp */
libname mzjahr '<Arbeitsverzeichnis'>;


/* ====================================================================
3. Endtypisierung der Grosseltern 

   Endtypisierung des Migrationshintergrundes der Grosseltern 
   Anlegen des grundtypisierten Ausgangsmaterials 
   Auswahl des grundtypisierten Materials fuer alle als Grosseltern 
   identifizierten Personen */
   
proc sql;
	create table mzjahr.GrosselternTypTmp as
	select a.*
	from mzjahr.MZTypisiert as a, mzjahr.Grosseltern as b
	where a.ef1=b.ef1 and a.ef3=b.ef3 and a.ef4=b.ef4 and a.ef5=b.ef5;
quit;

/*	CODE FUER JAHRE 2006-2008 und 2010-2012: 
	Die Grosselterndatei enthaelt keine Angaben zu nicht im HH lebenden Eltern; 
	deshalb kann die Grundtypisierung unveraendert ausgegeben werden */
data mzjahr.GrosselternTypisiert (KEEP=EF1 EF3 EF4 EF5 EF12 MIG SA1 SA2 SA3 SA SA_erw)

	ErrorGross0 (Keep=EF1 EF3 EF4 EF5 EF12 p v m kennung);

	retain EF1 EF3 EF4 EF5 EF12 MIG SA1 SA2 SA3 SA SA_erw;

/*	Quelle ist die Datei 'GrosselternTypTmp' */
	set mzjahr.GrosselternTypTmp; 
output mzjahr.GrosselternTypisiert;
run;

